/*
   This version uses the Unuix/Linux operating system function read().
   This program will compile with any Unix/Linux C compiler
   or the MinGW gcc compiler on Windows.
*/
#include <stdio.h>
#include <unistd.h>

#define BUFFERSIZE 1

int main()
{
   char c[BUFFERSIZE];
   int n, counter = 0;

   while ( (n = read(STDIN_FILENO, c, BUFFERSIZE)) != 0 )
      counter += n;

   printf("%d characters read from standard input\n", counter);

   return 0;
}
